Index: tmp/org.txm.ca.core/src/org/txm/ca/core/messages/CACoreMessages.java
===================================================================
--- tmp/org.txm.ca.core/src/org/txm/ca/core/messages/CACoreMessages.java	(revision 791)
+++ tmp/org.txm.ca.core/src/org/txm/ca/core/messages/CACoreMessages.java	(revision 792)
@@ -12,9 +12,6 @@
  */
 public class CACoreMessages extends NLS {
 
-	private static final String BUNDLE_NAME = "org.txm.ca.core.messages.messages"; //$NON-NLS-1$
-
-
 	public static String charts_error_factorialMap_cantCreateCAChartFile;
 	public static String charts_error_singularValues_cantCreateSingularValuesChart;
 
@@ -54,8 +51,6 @@
 	public static String error_unableToExtractSingularValues;
 
 	static {
-		Utf8NLS.initializeMessages(BUNDLE_NAME, CACoreMessages.class);
+		Utf8NLS.initializeMessages(CACoreMessages.class);
 	}
-
-	
 }
Index: tmp/org.txm.treetagger.rcp/src/org/txm/treetagger/rcp/messages/TreeTaggerUIMessages.java
===================================================================
--- tmp/org.txm.treetagger.rcp/src/org/txm/treetagger/rcp/messages/TreeTaggerUIMessages.java	(revision 791)
+++ tmp/org.txm.treetagger.rcp/src/org/txm/treetagger/rcp/messages/TreeTaggerUIMessages.java	(revision 792)
@@ -13,17 +13,14 @@
  */
 public class TreeTaggerUIMessages extends NLS {
 
-	private static final String BUNDLE_NAME = "org.txm.treetagger.rcp.messages.messages"; //$NON-NLS-1$
-
 	public static String TreeTaggerPreferencePage_0;
 	public static String TreeTaggerPreferencePage_1;
 	public static String TreeTaggerPreferencePage_2;
 	public static String TreeTaggerPreferencePage_3;
 	
-
 	static {
 		// initialize resource bundle
-		Utf8NLS.initializeMessages(BUNDLE_NAME, TreeTaggerUIMessages.class);
+		Utf8NLS.initializeMessages(TreeTaggerUIMessages.class);
 	}
 
 	private TreeTaggerUIMessages() {
Index: tmp/org.txm.queryindex.rcp/src/org/txm/functions/queryindex/Messages.java
===================================================================
--- tmp/org.txm.queryindex.rcp/src/org/txm/functions/queryindex/Messages.java	(revision 791)
+++ tmp/org.txm.queryindex.rcp/src/org/txm/functions/queryindex/Messages.java	(revision 792)
@@ -13,8 +13,6 @@
  */
 public class Messages extends NLS {
 
-	private static final String BUNDLE_NAME = "org.txm.partition.core.messages.messages"; //$NON-NLS-1$
-
 	public static String QueryIndexEditor_0;
 	public static String QueryIndexEditor_1;
 	public static String QueryIndexEditor_10;
@@ -30,7 +28,7 @@
 	
 	static {
 		// initialize resource bundle
-		Utf8NLS.initializeMessages(BUNDLE_NAME, Messages.class);
+		Utf8NLS.initializeMessages(Messages.class);
 	}
 
 	private Messages() {
Index: tmp/org.txm.lexicaltable.core/src/org/txm/lexicaltable/core/messages/LexicalTableCoreMessages.java
===================================================================
--- tmp/org.txm.lexicaltable.core/src/org/txm/lexicaltable/core/messages/LexicalTableCoreMessages.java	(revision 791)
+++ tmp/org.txm.lexicaltable.core/src/org/txm/lexicaltable/core/messages/LexicalTableCoreMessages.java	(revision 792)
@@ -5,8 +5,6 @@
 
 public class LexicalTableCoreMessages extends NLS {
 	
-	private static final String BUNDLE_NAME = "org.txm.lexicaltable.core.messages.messages"; //$NON-NLS-1$
-	
 	public static String LexicalTableImpl_1;
 	public static String LexicalTableImpl_10;
 	public static String LexicalTableImpl_12;
@@ -17,6 +15,6 @@
 
 	static {
 		// initialize resource bundle
-		Utf8NLS.initializeMessages(BUNDLE_NAME, LexicalTableCoreMessages.class);
+		Utf8NLS.initializeMessages(LexicalTableCoreMessages.class);
 	}
 }
Index: tmp/org.txm.ahc.core/src/org/txm/ahc/core/messages/AHCCoreMessages.java
===================================================================
--- tmp/org.txm.ahc.core/src/org/txm/ahc/core/messages/AHCCoreMessages.java	(revision 791)
+++ tmp/org.txm.ahc.core/src/org/txm/ahc/core/messages/AHCCoreMessages.java	(revision 792)
@@ -13,7 +13,6 @@
 public class AHCCoreMessages extends NLS {
 	
 	
-	private static final String BUNDLE_NAME = "org.txm.ahc.core.messages.messages"; //$NON-NLS-1$
 
 	public static String RESULT_TYPE;
 	
@@ -22,7 +21,7 @@
 	
 	
 	static {
-		Utf8NLS.initializeMessages(BUNDLE_NAME, AHCCoreMessages.class);
+		Utf8NLS.initializeMessages(AHCCoreMessages.class);
 	}
 	
 
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/TXMUIMessages.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/TXMUIMessages.java	(revision 791)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/messages/TXMUIMessages.java	(revision 792)
@@ -6,11 +6,6 @@
 
 public class TXMUIMessages extends NLS {
 	
-	// The Constant BUNDLE_NAME. 
-	private static final String BUNDLE_NAME = "org.txm.rcp.messages.messages"; //$NON-NLS-1$
-	
-	
-	
 	public static String About_Menu_Label;
 	public static String AdapterFactory_0;
 	public static String AddBase_10;
@@ -573,11 +568,9 @@
 	
 	static {
 		// initialize resource bundle
-		Utf8NLS.initializeMessages(BUNDLE_NAME, TXMUIMessages.class);
-		//NLS.initializeMessages(BUNDLE_NAME, Messages.class);
+		Utf8NLS.initializeMessages(TXMUIMessages.class);
 	}
 
-
 	private TXMUIMessages() {
 	}
 }
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/debug/TXMEditorSWTDebugView.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/debug/TXMEditorSWTDebugView.java	(revision 0)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/views/debug/TXMEditorSWTDebugView.java	(revision 792)
@@ -0,0 +1,202 @@
+// Copyright © 2010-2013 ENS de Lyon.
+// Copyright © 2007-2010 ENS de Lyon, CNRS, INRP, University of
+// Lyon 2, University of Franche-Comté, University of Nice
+// Sophia Antipolis, University of Paris 3.
+// 
+// The TXM platform is free software: you can redistribute it
+// and/or modify it under the terms of the GNU General Public
+// License as published by the Free Software Foundation,
+// either version 2 of the License, or (at your option) any
+// later version.
+// 
+// The TXM platform is distributed in the hope that it will be
+// useful, but WITHOUT ANY WARRANTY; without even the implied
+// warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+// PURPOSE. See the GNU General Public License for more
+// details.
+// 
+// You should have received a copy of the GNU General
+// Public License along with the TXM platform. If not, see
+// http://www.gnu.org/licenses.
+// 
+// 
+// 
+// $LastChangedDate:$
+// $LastChangedRevision:$
+// $LastChangedBy:$ 
+//
+package org.txm.rcp.views.debug;
+
+import org.eclipse.jface.viewers.DoubleClickEvent;
+import org.eclipse.jface.viewers.IDoubleClickListener;
+import org.eclipse.jface.viewers.ISelectionChangedListener;
+import org.eclipse.jface.viewers.ITreeContentProvider;
+import org.eclipse.jface.viewers.LabelProvider;
+import org.eclipse.jface.viewers.SelectionChangedEvent;
+import org.eclipse.jface.viewers.StructuredSelection;
+import org.eclipse.jface.viewers.TreeViewer;
+import org.eclipse.jface.viewers.Viewer;
+import org.eclipse.swt.SWT;
+import org.eclipse.swt.custom.StyledText;
+import org.eclipse.swt.graphics.Color;
+import org.eclipse.swt.widgets.Composite;
+import org.eclipse.swt.widgets.Control;
+import org.eclipse.swt.widgets.Widget;
+import org.eclipse.ui.IPartListener;
+import org.eclipse.ui.IPartService;
+import org.eclipse.ui.IPropertyListener;
+import org.eclipse.ui.IWorkbenchPage;
+import org.eclipse.ui.IWorkbenchPart;
+import org.eclipse.ui.IWorkbenchWindow;
+import org.eclipse.ui.PlatformUI;
+import org.eclipse.ui.part.ViewPart;
+import org.txm.chartsengine.core.results.ChartResult;
+import org.txm.core.results.TXMResult;
+import org.txm.rcp.editors.TXMEditor;
+import org.txm.rcp.views.corpora.CorporaView;
+import org.txm.searchengine.cqp.corpus.Corpus;
+
+
+/**
+ * Debug view for TXMResult.
+ * 
+ * @author sjacquot
+ */
+public class TXMEditorSWTDebugView extends ViewPart implements IPartListener, IPropertyListener {
+
+	/**
+	 * Display area.
+	 */
+	protected TreeViewer treeViewer;
+
+	/**
+	 * Instantiates a new queries view.
+	 */
+	public TXMEditorSWTDebugView() {
+		IPartService service = PlatformUI.getWorkbench().getActiveWorkbenchWindow().getPartService();
+		service.addPartListener(this);
+	}
+
+	@Override
+	public void dispose() {
+		IPartService service = PlatformUI.getWorkbench().getActiveWorkbenchWindow().getPartService();
+		service.removePartListener(this);
+	}
+
+	@Override
+	public void createPartControl(Composite parent) {
+		treeViewer = new TreeViewer (parent, SWT.NONE);
+		treeViewer.setContentProvider(new ITreeContentProvider() {
+			
+			@Override
+			public void inputChanged(Viewer viewer, Object oldInput, Object newInput) { }
+			
+			@Override
+			public void dispose() { }
+			
+			@Override
+			public boolean hasChildren(Object element) {
+				if (element instanceof Composite) {
+					return ((Composite)element).getChildren().length > 0;
+				} else if (element instanceof Control) {
+					return false;
+				}
+				return false;
+			}
+			
+			@Override
+			public Object getParent(Object element) {
+				if (element instanceof Composite) {
+					return ((Composite)element).getParent();
+				} else if (element instanceof Control) {
+					return ((Control)element).getParent();
+				}
+				return null;
+			}
+			
+			@SuppressWarnings("rawtypes")
+			@Override
+			public Object[] getElements(Object inputElement) {
+				if (inputElement == null) return new Object[0];
+				
+				if (inputElement instanceof TXMEditor) {
+					return ((TXMEditor)inputElement).getContainer().getChildren();
+				}
+				return null;
+			}
+			
+			@Override
+			public Object[] getChildren(Object element) {
+				if (element instanceof Composite) {
+					return ((Composite)element).getChildren();
+				} else if (element instanceof Control) {
+					return new Object[0];
+				}
+				return new Object[0];
+			}
+		});
+		treeViewer.setLabelProvider(new LabelProvider() {
+			@Override
+			public final String getText(Object element) {
+				if (element instanceof Composite) {
+					Composite c = (Composite)element;
+					return c.toString()+" "+c.getLayout() ;
+				}
+//				else if (element instanceof Control) {
+//					return ((Composite)element).getLayout().getClass().getSimpleName();
+//				}
+				return element.toString();
+			}
+		});
+		
+		treeViewer.addDoubleClickListener(new IDoubleClickListener() {
+			
+			@Override
+			public void doubleClick(DoubleClickEvent event) {
+				Object o = ((StructuredSelection)event.getSelection()).getFirstElement();
+				if (o != null && o instanceof Control) {
+					Control w = (Control) o;
+					Color b = w.getDisplay().getSystemColor(SWT.COLOR_BLUE);
+					Color current = w.getBackground();
+					
+					if (current != null 
+							&& current.getGreen() == b.getGreen()
+							&& current.getBlue() == b.getBlue()
+							&& current.getRed() == b.getRed()) {
+						w.setBackground(null);
+					} else {
+						w.setBackground(b);
+					}
+					
+				}
+			}
+		});
+	}
+	@Override
+	public void partActivated(IWorkbenchPart part) {
+		if (part == null)
+			return;
+		// System.out.println("partActivated: "+part);
+		if (part instanceof TXMEditor) {
+			treeViewer.setInput(part);
+		}
+	}
+
+	@Override
+	public void propertyChanged(Object source, int propId) { }
+
+	@Override
+	public void partBroughtToTop(IWorkbenchPart part) { }
+
+	@Override
+	public void partClosed(IWorkbenchPart part) {treeViewer.setInput(null);}
+
+	@Override
+	public void partDeactivated(IWorkbenchPart part) { }
+
+	@Override
+	public void partOpened(IWorkbenchPart part) { }
+
+	@Override
+	public void setFocus() { }
+}

Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java	(revision 791)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java	(revision 792)
@@ -1003,4 +1003,8 @@
 	public void setLastComputingParameters(HashMap<String, Object> lastComputingParameters) {
 		this.lastComputingParameters = lastComputingParameters;
 	}
+
+	public Composite getContainer() {
+		return parent;
+	}
 }
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/GLComposite.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/GLComposite.java	(revision 791)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/GLComposite.java	(revision 792)
@@ -16,10 +16,7 @@
 
 	public GLComposite(Composite parent, int style) {
 		super(parent, style);
-		gl = new GridLayout();
-		gl.marginBottom = 0;gl.marginHeight = 0;gl.marginWidth = 0;gl.marginTop = 0;
-		gl.horizontalSpacing = 0;
-		gl.verticalSpacing = 0;
+		gl = createDefaultLayout(1);
 		super.setLayout(gl);
 	}
 
@@ -33,4 +30,13 @@
 	public final void setLayout(Layout layout) {
 		//super.setLayout(layout);
 	}
+
+	public static GridLayout createDefaultLayout(int numColumns) {
+		GridLayout gl = new GridLayout();
+		gl.marginBottom = 0;gl.marginHeight = 0;gl.marginWidth = 0;gl.marginTop = 0;
+		gl.horizontalSpacing = 0;
+		gl.verticalSpacing = 0;
+		gl.numColumns = numColumns;
+		return gl;
+	}
 }
Index: tmp/org.txm.backtomedia.rcp/src/vlcplayerrcp/MessagesMP.java
===================================================================
--- tmp/org.txm.backtomedia.rcp/src/vlcplayerrcp/MessagesMP.java	(revision 791)
+++ tmp/org.txm.backtomedia.rcp/src/vlcplayerrcp/MessagesMP.java	(revision 792)
@@ -5,10 +5,6 @@
 
 public class MessagesMP extends NLS {
 	
-	
-	private static final String BUNDLE_NAME = "vlcplayerrcp.messages"; //$NON-NLS-1$
-
-	
 	public static String BackToMedia_0;
 	public static String BackToMedia_1;
 	public static String BackToMedia_11;
@@ -52,7 +48,7 @@
 	
 	
 	static {
-		Utf8NLS.initializeMessages(BUNDLE_NAME, MessagesMP.class);
+		Utf8NLS.initializeMessages(MessagesMP.class);
 	}
 
 }
Index: tmp/org.txm.xmleditor.rcp/src/xmleditorrcp/XMLEditorMessages.java
===================================================================
--- tmp/org.txm.xmleditor.rcp/src/xmleditorrcp/XMLEditorMessages.java	(revision 791)
+++ tmp/org.txm.xmleditor.rcp/src/xmleditorrcp/XMLEditorMessages.java	(revision 792)
@@ -1,15 +1,17 @@
 package xmleditorrcp;
 
 import org.eclipse.osgi.util.NLS;
+import org.txm.utils.messages.Utf8NLS;
 
 public class XMLEditorMessages extends NLS {
-	private static final String BUNDLE_NAME = "xmleditorrcp.messages"; //$NON-NLS-1$
+
 	public static String OpenXMLEditor_1;
 	public static String OpenXMLEditor_3;
 	public static String OpenXMLEditor_4;
+	
 	static {
 		// initialize resource bundle
-		NLS.initializeMessages(BUNDLE_NAME, XMLEditorMessages.class);
+		Utf8NLS.initializeMessages(XMLEditorMessages.class);
 	}
 
 	private XMLEditorMessages() {
Index: tmp/org.txm.index.core/src/org/txm/index/core/messages/IndexCoreMessages.java
===================================================================
--- tmp/org.txm.index.core/src/org/txm/index/core/messages/IndexCoreMessages.java	(revision 791)
+++ tmp/org.txm.index.core/src/org/txm/index/core/messages/IndexCoreMessages.java	(revision 792)
@@ -5,13 +5,9 @@
 
 public class IndexCoreMessages extends NLS {
 
-	private static final String BUNDLE_NAME = "org.txm.index.core.messages.messages"; //$NON-NLS-1$
-
-	
 	public static String DetailsFromPartition;
 	public static String DetailsFromCorpus;
 	
-	
 	public static String RESULT_TYPE;
 	public static String Index_1;
 	public static String Index_7;
@@ -22,15 +18,13 @@
 	public static String LexiconDetailsFromPartition;
 	public static String LexiconDetailsFromCorpus;
 
-
-	
 	//FIXME unused key
 	public static String Index_0;
 	//end of fixme
 	
 	static {
 		// initialize resource bundle
-		Utf8NLS.initializeMessages(BUNDLE_NAME, IndexCoreMessages.class);
+		Utf8NLS.initializeMessages(IndexCoreMessages.class);
 	}
 
 	private IndexCoreMessages() {
Index: tmp/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/messages/CQPUIMessages.java
===================================================================
--- tmp/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/messages/CQPUIMessages.java	(revision 791)
+++ tmp/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/messages/CQPUIMessages.java	(revision 792)
@@ -12,8 +12,6 @@
  */
 public class CQPUIMessages extends NLS {
 	
-	private static final String BUNDLE_NAME = "org.txm.searchengine.cqp.rcp.messages.messages"; //$NON-NLS-1$
-	
 	public static String CQPPreferencePage_0;
 	public static String CQPPreferencePage_1;
 	public static String CQPPreferencePage_10;
@@ -25,9 +23,8 @@
 	public static String CQPPreferencePage_17;
 	public static String CQPPreferencePage_18;
 	
-	
 	static {
 		// initialize resource bundle
-		Utf8NLS.initializeMessages(BUNDLE_NAME, CQPUIMessages.class);
+		Utf8NLS.initializeMessages(CQPUIMessages.class);
 	}
 }
Index: tmp/org.txm.synopticeditor.rcp/src/org/txm/synopticedition/rcp/messages/SynopticEditionUIMessages.java
===================================================================
--- tmp/org.txm.synopticeditor.rcp/src/org/txm/synopticedition/rcp/messages/SynopticEditionUIMessages.java	(revision 791)
+++ tmp/org.txm.synopticeditor.rcp/src/org/txm/synopticedition/rcp/messages/SynopticEditionUIMessages.java	(revision 792)
@@ -5,8 +5,6 @@
 
 public class SynopticEditionUIMessages extends NLS {
 	
-	private static final String BUNDLE_NAME = "org.txm.synopticedition.rcp.messages.messages"; //$NON-NLS-1$
-	
 	public static String BackToText_0;
 	public static String BackToText_1;
 	public static String BackToText_2;
@@ -40,10 +38,9 @@
 	public static String SynopticEditionEditor_8;
 	public static String SynopticEditionEditor_9;
 	
-	
 	static {
 		// initialize resource bundle
-		Utf8NLS.initializeMessages(BUNDLE_NAME, SynopticEditionUIMessages.class);
+		Utf8NLS.initializeMessages(SynopticEditionUIMessages.class);
 	}
 
 	private SynopticEditionUIMessages() {
Index: tmp/org.txm.statsengine.core/src/org/txm/statsengine/core/messages/StatsEngineCoreMessages.java
===================================================================
--- tmp/org.txm.statsengine.core/src/org/txm/statsengine/core/messages/StatsEngineCoreMessages.java	(revision 791)
+++ tmp/org.txm.statsengine.core/src/org/txm/statsengine/core/messages/StatsEngineCoreMessages.java	(revision 792)
@@ -5,9 +5,6 @@
 
 public class StatsEngineCoreMessages extends NLS {
 
-	private static final String BUNDLE_NAME = "org.txm.statsengine.core.messages.messages"; //$NON-NLS-1$
-
-	
 	public static String VectorizeArray_0;
 	public static String VectorizeArray_1;
 	public static String VectorizeArray_10;
@@ -49,10 +46,9 @@
 	public static String QuantitativeDataStructureImpl_1;
 	public static String QuantitativeDataStructureImpl_2;
 
-	
 	static {
 		// initialize resource bundle
-		Utf8NLS.initializeMessages(BUNDLE_NAME, StatsEngineCoreMessages.class);
+		Utf8NLS.initializeMessages(StatsEngineCoreMessages.class);
 	}
 
 	private StatsEngineCoreMessages() {
Index: tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/messages/LexicalTableUIMessages.java
===================================================================
--- tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/messages/LexicalTableUIMessages.java	(revision 791)
+++ tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/messages/LexicalTableUIMessages.java	(revision 792)
@@ -5,8 +5,6 @@
 
 public class LexicalTableUIMessages extends NLS {
 
-	private static final String BUNDLE_NAME = "org.txm.lexicaltable.rcp.messages.messages"; //$NON-NLS-1$
-
 	public static String LexicalTableEditor_1;
 	public static String LexicalTableEditor_10;
 	public static String LexicalTableEditor_11;
@@ -33,6 +31,6 @@
 
 	static {
 		// initialize resource bundle
-		Utf8NLS.initializeMessages(BUNDLE_NAME, LexicalTableUIMessages.class);
+		Utf8NLS.initializeMessages(LexicalTableUIMessages.class);
 	}
 }
Index: tmp/org.txm.internalview.rcp/src/org/txm/internalview/rcp/messages/InternalViewUIMessages.java
===================================================================
--- tmp/org.txm.internalview.rcp/src/org/txm/internalview/rcp/messages/InternalViewUIMessages.java	(revision 791)
+++ tmp/org.txm.internalview.rcp/src/org/txm/internalview/rcp/messages/InternalViewUIMessages.java	(revision 792)
@@ -5,8 +5,6 @@
 
 public class InternalViewUIMessages extends NLS {
 	
-	private static final String BUNDLE_NAME = "org.txm.internalview.rcp.messages.messages"; //$NON-NLS-1$
-	
 	public static String ComputeInternalView_0;
 	public static String ComputeInternalView_1;
 	
@@ -22,6 +20,6 @@
 	
 	static {
 		// initialize resource bundle
-		Utf8NLS.initializeMessages(BUNDLE_NAME, InternalViewUIMessages.class);
+		Utf8NLS.initializeMessages(InternalViewUIMessages.class);
 	}
 }
Index: tmp/org.txm.annotation.rcp/src/org/txm/annotation/rcp/messages/AnnotationUIMessages.java
===================================================================
--- tmp/org.txm.annotation.rcp/src/org/txm/annotation/rcp/messages/AnnotationUIMessages.java	(revision 791)
+++ tmp/org.txm.annotation.rcp/src/org/txm/annotation/rcp/messages/AnnotationUIMessages.java	(revision 792)
@@ -13,16 +13,12 @@
  */
 public class AnnotationUIMessages extends NLS {
 
-	private static final String BUNDLE_NAME = "org.txm.annotation.rcp.messages.messages"; //$NON-NLS-1$
-
 	public static String AnnotationPreferences_1;
 	public static String AnnotationPreferences_2;
 
-	
-
 	static {
 		// initialize resource bundle
-		Utf8NLS.initializeMessages(BUNDLE_NAME, AnnotationUIMessages.class);
+		Utf8NLS.initializeMessages(AnnotationUIMessages.class);
 	}
 
 	private AnnotationUIMessages() {
Index: tmp/org.txm.partition.core/src/org/txm/partition/core/messages/PartitionCoreMessages.java
===================================================================
--- tmp/org.txm.partition.core/src/org/txm/partition/core/messages/PartitionCoreMessages.java	(revision 791)
+++ tmp/org.txm.partition.core/src/org/txm/partition/core/messages/PartitionCoreMessages.java	(revision 792)
@@ -13,8 +13,6 @@
  */
 public class PartitionCoreMessages extends NLS {
 
-	private static final String BUNDLE_NAME = "org.txm.partition.core.messages.messages"; //$NON-NLS-1$
-
 	public static String CHARTSENGINE_CANT_CREATE_PARTITION_DIMENSIONS_FILE_CHART;
 	public static String CHARTSENGINE_PARTITION_DIMENSIONS_SORTED_BY_SIZE;
 	public static String CHARTSENGINE_PARTITION_DIMENSIONS_DIMENSIONS_OF_PARTITION;
@@ -26,7 +24,7 @@
 	
 	static {
 		// initialize resource bundle
-		Utf8NLS.initializeMessages(BUNDLE_NAME, PartitionCoreMessages.class);
+		Utf8NLS.initializeMessages(PartitionCoreMessages.class);
 	}
 
 	private PartitionCoreMessages() {
Index: tmp/org.txm.annotation.core/src/org/txm/annotation/core/KRAnnotationEngine.java
===================================================================
--- tmp/org.txm.annotation.core/src/org/txm/annotation/core/KRAnnotationEngine.java	(revision 791)
+++ tmp/org.txm.annotation.core/src/org/txm/annotation/core/KRAnnotationEngine.java	(revision 792)
@@ -196,6 +196,8 @@
 		for (int i = 0 ; i < repositoriesList.getLength() ; i++) {
 			names.add(((Element)repositoriesList.item(i)).getAttribute("name"));
 		}
+		
+		if (names.size() == 0) names.add(params.getCorpusName()); // add default KR = properties & structure properties
 		return names;
 	}
 	
Index: tmp/org.txm.annotation.core/src/org/txm/annotation/core/repository/Messages.java
===================================================================
--- tmp/org.txm.annotation.core/src/org/txm/annotation/core/repository/Messages.java	(revision 791)
+++ tmp/org.txm.annotation.core/src/org/txm/annotation/core/repository/Messages.java	(revision 792)
@@ -4,12 +4,8 @@
 
 public class Messages extends Utf8NLS {
 	
-	
-	private static final String BUNDLE_NAME = "org.txm.annotation.core.repository.messages.messages"; //$NON-NLS-1$
-	
-	
 	static {
-		Utf8NLS.initializeMessages(BUNDLE_NAME, Messages.class);
+		Utf8NLS.initializeMessages(Messages.class);
 	}
 
 	private Messages() {
Index: tmp/org.txm.annotation.core/src/org/txm/annotation/core/repository/KnowledgeRepositoryManager.java
===================================================================
--- tmp/org.txm.annotation.core/src/org/txm/annotation/core/repository/KnowledgeRepositoryManager.java	(revision 791)
+++ tmp/org.txm.annotation.core/src/org/txm/annotation/core/repository/KnowledgeRepositoryManager.java	(revision 792)
@@ -1,6 +1,7 @@
 package org.txm.annotation.core.repository;
 
 import java.io.File;
+import java.util.ArrayList;
 import java.util.HashMap;
 import java.util.List;
 
@@ -12,6 +13,7 @@
 import org.txm.annotation.core.KRAnnotationEngine;
 import org.txm.core.preferences.TBXPreferences;
 import org.txm.objects.BaseParameters;
+import org.txm.searchengine.cqp.corpus.MainCorpus;
 import org.txm.sql.SQLConnection;
 import org.txm.utils.logger.Log;
 import org.txm.utils.xml.DomUtils;
@@ -23,12 +25,12 @@
 	//private static KnowledgeRepositoryManager INSTANCE = null;
 	private static HashMap<String, KnowledgeRepository> repositories = new HashMap<String, KnowledgeRepository>();
 
-//	public static KnowledgeRepositoryManager getInstance(){
-//		if (INSTANCE == null) {
-//			INSTANCE = new KnowledgeRepositoryManager();
-//		}
-//		return INSTANCE;
-//	}
+	//	public static KnowledgeRepositoryManager getInstance(){
+	//		if (INSTANCE == null) {
+	//			INSTANCE = new KnowledgeRepositoryManager();
+	//		}
+	//		return INSTANCE;
+	//	}
 
 	/**
 	 * Lazy load KR.
@@ -42,7 +44,7 @@
 		HashMap<String, HashMap<String, ?>> conf = KRAnnotationEngine.getKnowledgeRepositoryConfiguration(name, element);
 		return createKnowledgeRepository(name, conf);
 	}
-	
+
 	/**
 	 * Lazy load KR.
 	 * 
@@ -59,7 +61,7 @@
 		HashMap<String, HashMap<String, String>> fields = (HashMap<String, HashMap<String, String>>) conf.get(KRAnnotationEngine.KNOWLEDGE_TYPES);
 		HashMap<String, HashMap<String, String>> strings = (HashMap<String, HashMap<String, String>>) conf.get(KRAnnotationEngine.KNOWLEDGE_STRINGS);
 		String access_type = access.get("mode");
-		
+
 		KnowledgeRepository kr = null;
 		if (!access_type.equals(DatabasePersistenceManager.ACCESS_SQL) 
 				&& !access_type.equals(DatabasePersistenceManager.ACCESS_FILE)) {
@@ -67,7 +69,7 @@
 			access.put("mode", "file");
 			access_type = "file";
 		}
-		
+
 		if (access_type.equals(DatabasePersistenceManager.ACCESS_SQL)) {
 			kr = new SQLKnowledgeRepository(name);
 			kr.setCredencialsNeeded("true".equals(access.get(SQLConnection.SQL_USER)), "true".equals(access.get(SQLConnection.SQL_PASSWORD)));
@@ -76,7 +78,7 @@
 		} else {
 			System.out.println("Unknowned repository type: "+access_type);
 		}
-		
+
 		if (kr != null) {
 			//System.out.println("------- KnowledgeRepositoryManager : KR is been created "+kr.getName()+"--------");
 			kr.setAccessProperties(access);
@@ -88,10 +90,10 @@
 		} else {
 			System.out.println("Error. KR not created.");
 		}
-		
+
 		return kr;
 	}
-	
+
 	/**
 	 * get all KR stored
 	 * 
@@ -100,7 +102,7 @@
 	public static KnowledgeRepository[] getKnowledgeRepositories(){
 		return repositories.values().toArray(new KnowledgeRepository[repositories.size()]);
 	}
-	
+
 	public static KnowledgeRepository getKnowledgeRepository(String name) {
 		KnowledgeRepository kr = null;
 		File krconf = new File(Toolbox.getTXMHOMEPATH(),"repositories/"+name+"/conf.xml");
@@ -127,12 +129,15 @@
 	 * @param name
 	 * @return
 	 */
-	public static KnowledgeRepository getKnowledgeRepository(String name, org.txm.objects.Corpus corpus) {
+	public static KnowledgeRepository getKnowledgeRepository(String name, MainCorpus corpus) {
 		KnowledgeRepository kr = null;
+
 		File krconf = new File(Toolbox.getTXMHOMEPATH(),"repositories/"+name+"/conf.xml");
+		
 		if (repositories.containsKey(name)) {
 			kr = repositories.get(name);
 		} else {
+			
 			if (krconf.exists()) {
 				try {
 					kr = createKnowledgeRepository(name, DomUtils.load(krconf).getDocumentElement());
@@ -148,24 +153,24 @@
 				}
 			}
 		}
-		
+
 		Element krCorpusElement = KRAnnotationEngine.getKnowledgeRepositoryElement(corpus.getBase().getBaseParameters(), name);
 		String sKRCorpusVersion = krCorpusElement.getAttribute("version");
-		
+
 		if (kr != null) {
 			int version = kr.getVersion();
-			
+
 			int krCorpusVersion = 0;
 			if (sKRCorpusVersion.length() > 0)
 				krCorpusVersion = Integer.parseInt(sKRCorpusVersion);
-				//System.out.println("Versions KR : "+version+" >= "+krCorpusVersion);
+			//System.out.println("Versions KR : "+version+" >= "+krCorpusVersion);
 			if (version >= krCorpusVersion) { // version is more recent
 				return kr;
 			} else {
 				// replace the KR
 				System.out.println("REPLACE OLD KR="+kr+" (version="+version+") WITH corpus KR configuration (version="+krCorpusVersion+")");
 				KnowledgeRepository krNew = createKnowledgeRepository(name, krCorpusElement);
-				
+
 				try {
 					krconf.getParentFile().mkdirs();
 					DomUtils.save(krCorpusElement, krconf);
@@ -200,16 +205,16 @@
 				System.out.println("Internal error: the new KR is null: "+name);
 			}
 		}
-		
+
 		return kr;
 	}
 
 	public static boolean[] mustLoginToKnowledgeRepository(String kr_name,
-			org.txm.objects.Corpus corpus) {
+			MainCorpus corpus) {
 
 		KnowledgeRepository kr = getKnowledgeRepository(kr_name, corpus);
 		if (kr == null) return KnowledgeRepository.FALSES;
-		
+
 		return kr.mustLoginToKnowledgeRepository();
 	}
 
@@ -217,15 +222,15 @@
 		String html = "<html><head><title$title</title></head><body>$body</body></html>";
 		return html;
 	}
-	
+
 	public static String generateLocalURLPage(String krname, String name, String id) {
-	
+
 		KnowledgeRepository kr = getKnowledgeRepository(krname);
 		String path = Toolbox.getTXMHOMEPATH()+"/repositories/"+krname;
 		//File htmlTemplateFile = new File(path+"/template.html");
 		File newHtmlFile = null;
 		String htmlString;
-		
+
 		if(kr != null){
 			AnnotationType t = kr.getType(id);
 			try {
@@ -235,12 +240,12 @@
 				String body = "<p>Name : "+name + "("+id+")</p>";
 				if(t!=null){
 					List<TypedValue> values =  kr.getValues(t);
-					
+
 					body += "<p>Values : </p>";
 					for(TypedValue value : values){
 						body += "<p>"+value.toHumanString()+"</p>";
 					}
-					
+
 				}				
 				htmlString = htmlString.replace("$title", title);
 				htmlString = htmlString.replace("$body", body);
@@ -250,11 +255,11 @@
 				System.out.println("Generating HTML Page failed for "+id+" : "+e);
 				Log.printStackTrace(e);
 			}
-			
+
 		}else {
 			System.out.println("KR "+krname+" is null !");
 		}
-		
+
 		return newHtmlFile.getAbsolutePath();
 	}
 
@@ -263,11 +268,11 @@
 		List<AnnotationType> annotTypes = kr.getAllAnnotationTypes();
 		for(AnnotationType annotType : annotTypes)
 			kr.deleteType(annotType);
-		
+
 		repositories.remove(kr);
 	}
 
-	
 
-	
+
+
 }
Index: tmp/org.txm.annotation.core/src/org/txm/annotation/core/repository/KnowledgeRepository.java
===================================================================
--- tmp/org.txm.annotation.core/src/org/txm/annotation/core/repository/KnowledgeRepository.java	(revision 791)
+++ tmp/org.txm.annotation.core/src/org/txm/annotation/core/repository/KnowledgeRepository.java	(revision 792)
@@ -297,7 +297,7 @@
 
 	private void buildTypes(){
 		//System.out.println("KR build types ... : "+fieldsTypesProperties.size());
-		if (fieldsTypesProperties.size() != 0) {
+		if (fieldsTypesProperties != null && fieldsTypesProperties.size() != 0) {
 		 	for (String type : fieldsTypesProperties.keySet()) {
 				HashMap<String, String> typeFieldsContent = fieldsTypesProperties.get(type);
 		
